{% extends 'base.html' %}
{% block content %}

    {% for message in messages %}
    <div class="container-fluid p-0">
        <div class="alert alert-danger {{ message.tags }} alert-dismissible" role="alert" >
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="True">&times;</span>
        </button>
        {{ message }}
        </div>
    </div>
    {% endfor %}
    {% if request.session.role == "Admin" %}
    <table class="table">
        <thead><tr>
            <th scope="col">Menu List Koleksi</th>
          </tr></thead>
            <tr scope="row">
                <td> <button type="button" class="btn btn-primary btn-block btn-lg" data-toggle="modal" data-target="#rambutModal">Rambut</button> </td>
            </tr>
            <tr scope="row">
                <td> <button type="button" class="btn btn-primary btn-block btn-lg" data-toggle="modal" data-target="#mataModal">Mata</button> </td>
            </tr>
            <tr scope="row">
                <td> <button type="button" class="btn btn-primary btn-block btn-lg" data-toggle="modal" data-target="#rumahModal">Rumah</button> </td>
            </tr>
            <tr scope="row">
                <td> <button type="button" class="btn btn-primary btn-block btn-lg" data-toggle="modal" data-target="#barangModal">Barang</button> </td>
            </tr>
            <tr scope="row">
                <td> <button type="button" class="btn btn-primary btn-block btn-lg" data-toggle="modal" data-target="#apparelModal">Apparel</button> </td>
            </tr>
    </table>
    <div class="modal hide" id="rambutModal">
                  <div class="modal-dialog">
                    <div class="modal-content">
                      <!-- Modal body -->
                      <div class="modal-body">
                          <table class="table table-striped">
                    <thead>
                      <tr>
                        <th>Id</th>
                        <th>Harga Jual</th>
                        <th>Tipe Rambut</th>
                        <th>Action</th>
                      </tr>
                    </thead>
                    <tbody>
                    {% if rambut %}
                        {% for row in rambut %}
                    <tr>
                        <td>{{row.0}}</td>
                        <td>{{row.1}}</td>
                        <td>{{row.2}}</td>
                        <td><a href="update_rambut/{{row.0}}/{{row.1}}/{{row.2}}">Update</a><br>
                            {% if row.3 == 'true' %}
                            <a href="delete_rambut/{{row.0}}">Delete</a>
                            {% endif %}</td>
                      </tr>
                        {% endfor %}
                    {% endif %}
                    </tbody>
                  </table>
                  </div>
                    </div>
                  </div>
                </div>
    <div class="modal hide" id="mataModal">
                  <div class="modal-dialog">
                    <div class="modal-content">
                      <!-- Modal body -->
                      <div class="modal-body">
                          <table class="table table-striped">
                    <thead>
                      <tr>
                        <th>Id</th>
                        <th>Harga Jual</th>
                        <th>Warna Mata</th>
                        <th>Action</th>
                      </tr>
                    </thead>
                    <tbody>
                    {% if mata %}
                        {% for row in mata %}
                    <tr>
                        <td>{{row.0}}</td>
                        <td>{{row.1}}</td>
                        <td>{{row.2}}</td>
                        <td><a href="update_mata/{{row.0}}/{{row.1}}/{{row.2}}">Update</a><br>
                            {% if row.3 == 'true' %}
                            <a href="delete_mata/{{row.0}}">delete</a>
                            {% endif %}
                      </tr>
                        {% endfor %}
                    {% endif %}
                    </tbody>
                  </table>
                  </div>
                    </div>
                  </div>
                </div>
    <div class="modal hide" id="rumahModal">
                <div class="modal-dialog modal-xl">
                    <div class="modal-content">
                      <!-- Modal body -->
                      <div class="modal-body">
                          <table class="table table-striped">
                    <thead>
                      <tr>
                        <th>Id</th>
                        <th>Nama</th>
                        <th>Harga Jual</th>
                        <th>Harga Beli</th>
                        <th>Kapasitas Barang</th>
                        <th>Action</th>
                      </tr>
                    </thead>
                    <tbody>
                    {% if rumah %}
                        {% for row in rumah %}
                    <tr>
                        <td>{{row.0}}</td>
                        <td>{{row.1}}</td>
                        <td>{{row.2}}</td>
                        <td>{{row.3}}</td>
                        <td>{{row.4}}</td>
                        <td><a href="update_rumah/{{row.0}}/{{row.1}}/{{row.2}}/{{row.3}}/{{row.4}}">Update</a><br>
                            {% if row.5 == 'true' %}
                            <a href="delete_rumah/{{row.0}}">Delete</a>
                            {% endif %}
                      </tr>
                        {% endfor %}
                    {% endif %}
                    </tbody>
                  </table>
                  </div>
                    </div>
                  </div>
                </div>
    <div class="modal hide" id="barangModal">
                <div class="modal-dialog modal-xl">
                    <div class="modal-content">
                      <!-- Modal body -->
                      <div class="modal-body">
                          <table class="table table-striped">
                    <thead>
                      <tr>
                        <th>Id</th>
                        <th>Nama</th>
                        <th>Harga Jual</th>
                        <th>Harga Beli</th>
                        <th>Tingkat Energi</th>
                        <th>Action</th>
                      </tr>
                    </thead>
                    <tbody>
                    {% if barang %}
                        {% for row in barang %}
                    <tr>
                        <td>{{row.0}}</td>
                        <td>{{row.1}}</td>
                        <td>{{row.2}}</td>
                        <td>{{row.3}}</td>
                        <td>{{row.4}}</td>
                        <td><a href="update_barang/{{row.0}}/{{row.1}}/{{row.2}}/{{row.3}}/{{row.4}}">Update</a><br>
                            {% if row.5 == 'true' %}
                            <a href="delete_barang/{{row.0}}">Delete</a>
                            {% endif %}
                      </tr>
                        {% endfor %}
                    {% endif %}
                    </tbody>
                  </table>
                  </div>
                    </div>
                  </div>
                </div>
    <div class="modal hide" id="apparelModal">
                <div class="modal-dialog modal-xl">
                    <div class="modal-content">
                      <!-- Modal body -->
                      <div class="modal-body">
                          <table class="table table-striped">
                    <thead>
                      <tr>
                        <th>Id</th>
                        <th>Nama</th>
                        <th>Harga Jual</th>
                        <th>Harga Beli</th>
                        <th>Kategori Apparel</th>
                        <th>Nama Pekerjaan</th>
                        <th>Action</th>
                      </tr>
                    </thead>
                    <tbody>
                    {% if apparel %}
                        {% for row in apparel %}
                    <tr>
                        <td>{{row.0}}</td>
                        <td>{{row.1}}</td>
                        <td>{{row.2}}</td>
                        <td>{{row.3}}</td>
                        <td>{{row.4}}</td>
                        <td>{{row.5}}</td>
                        <td><a href="update_apparel/{{row.0}}/{{row.1}}/{{row.2}}/{{row.3}}">Update</a><br>
                            {% if row.6 == 'true' %}
                            <a href="delete_apparel/{{row.0}}">Delete</a>
                            {% endif %}
                      </tr>
                        {% endfor %}
                    {% endif %}
                    </tbody>
                  </table>
                  </div>
                    </div>
                  </div>
                </div>
    {% endif %}

    {% if request.session.role == "Pemain" %}
    <table class="table">
        <thead><tr>
            <th scope="col">Menu List Koleksi</th>
          </tr></thead>
            <tr scope="row">
                <td> <button type="button" class="btn btn-primary btn-block btn-lg" data-toggle="modal" data-target="#rambutModal">Rambut</button> </td>
            </tr>
            <tr scope="row">
                <td> <button type="button" class="btn btn-primary btn-block btn-lg" data-toggle="modal" data-target="#mataModal">Mata</button> </td>
            </tr>
            <tr scope="row">
                <td> <button type="button" class="btn btn-primary btn-block btn-lg" data-toggle="modal" data-target="#rumahModal">Rumah</button> </td>
            </tr>
            <tr scope="row">
                <td> <button type="button" class="btn btn-primary btn-block btn-lg" data-toggle="modal" data-target="#barangModal">Barang</button> </td>
            </tr>
            <tr scope="row">
                <td> <button type="button" class="btn btn-primary btn-block btn-lg" data-toggle="modal" data-target="#apparelModal">Apparel</button> </td>
            </tr>
    </table>
    <div class="modal hide" id="rambutModal">
                  <div class="modal-dialog">
                    <div class="modal-content">
                      <!-- Modal body -->
                      <div class="modal-body">
                          <table class="table table-striped">
                    <thead>
                      <tr>
                        <th>Id</th>
                        <th>Harga Jual</th>
                        <th>Tipe Rambut</th>
                      </tr>
                    </thead>
                    <tbody>
                    {% if rambut %}
                        {% for row in rambut %}
                    <tr>
                        <td>{{row.0}}</td>
                        <td>{{row.1}}</td>
                        <td>{{row.2}}</td>
                      </tr>
                        {% endfor %}
                    {% endif %}
                    </tbody>
                  </table>
                  </div>
                    </div>
                  </div>
                </div>
    <div class="modal hide" id="mataModal">
                  <div class="modal-dialog">
                    <div class="modal-content">
                      <!-- Modal body -->
                      <div class="modal-body">
                          <table class="table table-striped">
                    <thead>
                      <tr>
                        <th>Id</th>
                        <th>Harga Jual</th>
                        <th>Warna Mata</th>
                      </tr>
                    </thead>
                    <tbody>
                    {% if mata %}
                        {% for row in mata %}
                    <tr>
                        <td>{{row.0}}</td>
                        <td>{{row.1}}</td>
                        <td>{{row.2}}</td>
                      </tr>
                        {% endfor %}
                    {% endif %}
                    </tbody>
                  </table>
                  </div>
                    </div>
                  </div>
                </div>
    <div class="modal hide" id="rumahModal">
                <div class="modal-dialog modal-xl">
                    <div class="modal-content">
                      <!-- Modal body -->
                      <div class="modal-body">
                          <table class="table table-striped">
                    <thead>
                      <tr>
                        <th>Id</th>
                        <th>Nama</th>
                        <th>Harga Jual</th>
                        <th>Harga Beli</th>
                        <th>Kapasitas Barang</th>
                      </tr>
                    </thead>
                    <tbody>
                    {% if rumah %}
                        {% for row in rumah %}
                    <tr>
                        <td>{{row.0}}</td>
                        <td>{{row.1}}</td>
                        <td>{{row.2}}</td>
                        <td>{{row.3}}</td>
                        <td>{{row.4}}</td>
                      </tr>
                        {% endfor %}
                    {% endif %}
                    </tbody>
                  </table>
                  </div>
                    </div>
                  </div>
                </div>
    <div class="modal hide" id="barangModal">
                  <div class="modal-dialog">
                    <div class="modal-content">
                      <!-- Modal body -->
                      <div class="modal-body">
                          <table class="table table-striped">
                    <thead>
                      <tr>
                        <th>Id</th>
                        <th>Nama</th>
                        <th>Harga Jual</th>
                        <th>Harga Beli</th>
                        <th>Tingkat Energi</th>
                      </tr>
                    </thead>
                    <tbody>
                    {% if barang %}
                        {% for row in barang %}
                    <tr>
                        <td>{{row.0}}</td>
                        <td>{{row.1}}</td>
                        <td>{{row.2}}</td>
                        <td>{{row.3}}</td>
                        <td>{{row.4}}</td>
                      </tr>
                        {% endfor %}
                    {% endif %}
                    </tbody>
                  </table>
                  </div>
                    </div>
                  </div>
                </div>
    <div class="modal hide" id="apparelModal">
                <div class="modal-dialog modal-xl">
                    <div class="modal-content">
                      <!-- Modal body -->
                      <div class="modal-body">
                          <table class="table table-striped">
                    <thead>
                      <tr>
                        <th>Id</th>
                        <th>Nama</th>
                        <th>Harga Jual</th>
                        <th>Harga Beli</th>
                        <th>Kategori Apparel</th>
                        <th>Nama Pekerjaan</th>
                      </tr>
                    </thead>
                    <tbody>
                    {% if apparel %}
                        {% for row in apparel %}
                    <tr>
                        <td>{{row.0}}</td>
                        <td>{{row.1}}</td>
                        <td>{{row.2}}</td>
                        <td>{{row.3}}</td>
                        <td>{{row.4}}</td>
                        <td>{{row.5}}</td>
                      </tr>
                        {% endfor %}
                    {% endif %}
                    </tbody>
                  </table>
                  </div>
                    </div>
                  </div>
                </div>
    {% endif %}

{% endblock content %}
